Bug 1207179 - Select items matching non existing pattern does not unselect already selected
Summary: Select items matching non existing pattern does not unselect already selected
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: nautilus
Version: 8.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Ondrej Holy
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-30 11:50 UTC by Martin Simon
Modified: 2020-11-04 01:35 UTC (History)
3 users (show)

Fixed In Version: nautilus-3.28.1-13.el8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-11-04 01:34:13 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
GNOME Gitlab GNOME/nautilus - merge_requests 526 0 None None None 2020-02-26 12:21:33 UTC
Red Hat Product Errata RHSA-2020:4451 0 None None None 2020-11-04 01:34:32 UTC

Description Martin Simon 2015-03-30 11:50:11 UTC
Description of problem:
Nautilus has a feature to select items matching pattern. When I write an existing pattern, all matching items are selected. But if I write some non existing pattern, which does not obviously match any item (e.g. "kjhakhsd"), nothing happens. This should lead to unselecting items which does not match the pattern, so nothing should be selected.

Version-Release number of selected component (if applicable):
nautilus-3.14.2-1.el7.x86_64

How reproducible:
100%

Steps to Reproduce:
1. start nautilus and navigate Home directory
2. press CTRL+S and type "?esktop", confirm (now Desktop folder should be selected)
3. press CTRL+S again, type "ajhkjdhfsdk" and confirm

Actual results:
Desktop folder is still selected

Expected results:
Nothing is selected as nothing match the "ajhkjdhfsdk" pattern, obviously

Additional info:
This is early gnome 3.14 rebase version taken from copr repo el7-gnome-3-14 owned by rhughes

Comment 2 Tomas Pelka 2017-02-17 09:21:39 UTC
Still reproducible with nautilus-3.22.1-1.el7

Comment 3 Vera Budikova 2018-06-30 14:49:09 UTC
Still reproducible with nautilus-3.26.3.1-2.el7.x86_64

Comment 6 Michael Boisvert 2020-06-11 13:00:00 UTC
The issue described here is no longer present in nautilus-3.28.1-13.el8.

Comment 11 errata-xmlrpc 2020-11-04 01:34:13 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: GNOME security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:4451


Note You need to log in before you can comment on or make changes to this bug.